var
  'variables declared here are global (in hub memory) and can be accessed by any other object
  long childVar


'methods of sharing childVar

pub init
  childVar := 123456

'this function returns the value of the childVar variable
pub getChildVar
  'return the value of childVar
  return childVar

'this function returns the hub memory address where the child var variable is located
pub getChildVarAddress
  'returns the address of child Var (@ instructs the interpreter to return the address instead of the value)
  return @childVar

'localVariable is a COG memory variable and can not be shared (other than it's immediate value) wither other COGs
'local variable is destroyed when pub locakVar finishes executing it's instructions
pub localVar | localVariable, i
  localVariable := 0

  'counts from 0 to 100
  repeat i from 0 to 100
    localVariable++
    
  'returns local variable
  return localVariable